#include<Arduino.h>
#include"pomery_motorov.h"

void motor(int a, int b, int pwm_, int motor_speed) {
  if (motor_speed > 0) {
    digitalWrite(a, HIGH);
    digitalWrite(b, LOW);
    analogWrite(pwm_, motor_speed);
  }
  else if (motor_speed < 0) {
    digitalWrite(a, LOW);
    digitalWrite(b, HIGH);
    analogWrite(pwm_, motor_speed * -1);
  }
  else {
    digitalWrite(a, LOW);
    digitalWrite(b, LOW);
  }

}

void rotate_motor(char motor_number, int motor_speed) {
  switch (motor_number) {
    case 'A':
      motor(IN1A, IN2A, PWMA, motor_speed);
      break;
    case 'B':
      motor(IN1B, IN2B, PWMB, motor_speed);
      break;
    case 'C':
      motor(IN1C, IN2C, PWMC, motor_speed);
      break;
    case 'D':
      motor(IN1D, IN2D, PWMD, motor_speed);
      break;
  }
}
